import request from '@/utils/request'

// 查询压缩培训模版列表
export function listYsPlan(query) {
  return request({
    url: '/bccnew/ysPlan/list',
    method: 'get',
    params: query
  })
}

// 查询压缩培训模版详细
export function getYsPlan(id) {
  return request({
    url: '/bccnew/ysPlan/' + id,
    method: 'get'
  })
}

// 新增压缩培训模版
export function addYsPlan(data) {
  return request({
    url: '/bccnew/ysPlan',
    method: 'post',
    data: data
  })
}

// 修改压缩培训模版
export function updateYsPlan(data) {
  return request({
    url: '/bccnew/ysPlan',
    method: 'put',
    data: data
  })
}

// 删除压缩培训模版
export function delYsPlan(id) {
  return request({
    url: '/bccnew/ysPlan/' + id,
    method: 'delete'
  })
}

// 导出压缩培训模版
export function exportYsPlan(query) {
  return request({
    url: '/bccnew/ysPlan/export',
    method: 'get',
    params: query
  })
}
